Redfin: Search
Search from Redfin as JSON. 1 credit per successful call.
GET /v1/redfin/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
region_id | integer | Required | Any |
region_type | integer | Required | 1, 2, 4, 5, 6 |
market | string | Required | Up to 30 characters |
min_price | integer | Optional | Any |
max_price | integer | Optional | Any |
num_beds | integer | Optional | Any |
num_baths | number | Optional | Any |
property_types | string | Optional | Any |
status | integer | Optional | 1, 9, 130, 131 |
sold_within_days | integer | Optional | Any |
num_homes | integer | Optional | Any |
page | integer | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/redfin/search?region_id=16163®ion_type=6&market=seattle&sold_within_days=30" \
-H "X-API-Key: $API_KEY"Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.